%global modulename json-schema

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-json-schema
Version:        0.2.3
Release:        1%{?dist}
Summary:        JSON Schema validation and specifications

License:        BSD
URL:            https://github.com/kriszyp/json-schema#readme
Source0:        https://registry.npmjs.org/json-schema/-/json-schema-0.2.3.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch


Requires:       npmlib(%{modulename}) = %{version}

%description
JSON Schema validation and specifications

%package 0.2.3
Summary:        JSON Schema validation and specifications


%description 0.2.3
JSON Schema validation and specifications

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr draft-00 %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr draft-01 %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr draft-02 %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr draft-03 %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr draft-04 %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr draft-zyp-json-schema-03.xml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr draft-zyp-json-schema-04.xml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%{nodejs_dir}/%{modulename}

%files 0.2.3
%doc README.md
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 0.2.3-1
- Package automatically generated by npm2srpm
